ShakaCode | ShakaCode Blog | Rails On Maui Blog | Rails | ReactJs | JavaScript | Webpack | Productivity |

Gem Dependancy Problems when installing React_on_Rails


#1

I am trying to install react_on_rails in an existing rails project. So add the gem to the gemfile and run “bundle install.” I get this error:

So I run “bundle update.” and then I get this error:

Gem::InstallError: ruby_dep requires Ruby version >= 2.2.5, ~> 2.2.
An error occurred while installing ruby_dep (1.5.0), and Bundler cannot continue.
Make sure that gem install ruby_dep -v '1.5.0' succeeds before bundling.

In Gemfile:
guard-livereload was resolved to 2.5.2, which depends on
guard was resolved to 2.14.1, which depends on
listen was resolved to 3.1.5, which depends on
ruby_dep

Updating to a new version of ruby is not an option right now. We are on v - 2.1.6. How can I make this gem work with out updating ruby?
Here is my Gemfile.lock:
GEM
remote: https://rubygems.org/
specs:
CFPropertyList (2.3.2)
aasm (3.2.0)
actionmailer (4.1.9)
actionpack (= 4.1.9)
actionview (= 4.1.9)
mail (~> 2.5, >= 2.5.4)
actionpack (4.1.9)
actionview (= 4.1.9)
activesupport (= 4.1.9)
rack (~> 1.5.2)
rack-test (~> 0.6.2)
actionview (4.1.9)
activesupport (= 4.1.9)
builder (~> 3.1)
erubis (~> 2.7.0)
active_model_serializers (0.8.1)
activemodel (>= 3.0)
activemodel (4.1.9)
activesupport (= 4.1.9)
builder (~> 3.1)
activerecord (4.1.9)
activemodel (= 4.1.9)
activesupport (= 4.1.9)
arel (~> 5.0.0)
activesupport (4.1.9)
i18n (~> 0.6, >= 0.6.9)
json (~> 1.7, >= 1.7.7)
minitest (~> 5.1)
thread_safe (~> 0.1)
tzinfo (~> 1.1)
addressable (2.3.6)
annotate (2.6.3)
activerecord (>= 2.3.0)
rake (>= 0.8.7)
arel (5.0.1.20140414130214)
aws-sdk (2.6.5)
aws-sdk-resources (= 2.6.5)
aws-sdk-core (2.6.5)
jmespath (~> 1.0)
aws-sdk-rails (1.0.1)
aws-sdk-resources (~> 2)
railties (>= 3)
aws-sdk-resources (2.6.5)
aws-sdk-core (= 2.6.5)
bcrypt (3.1.7)
better_errors (1.1.0)
coderay (>= 1.0.0)
erubis (>= 2.6.6)
binding_of_caller (0.7.2)
debug_inspector (>= 0.0.1)
bourbon (3.2.3)
sass (~> 3.2)
thor
builder (3.2.2)
byebug (4.0.5)
columnize (= 0.9.0)
capistrano (3.0.1)
i18n
rake (>= 10.0.0)
sshkit (>= 0.0.23)
capistrano-bundler (1.0.0)
capistrano (>= 3.0.0.pre)
capistrano-rails (1.1.0)
capistrano (>= 3.0.0)
capistrano-bundler (>= 1.0.0)
carrierwave (0.10.0)
activemodel (>= 3.2.0)
activesupport (>= 3.2.0)
json (>= 1.7)
mime-types (>= 1.16)
celluloid (0.15.2)
timers (~> 1.1.0)
chartkick (1.5.2)
choice (0.1.6)
chronic (0.10.2)
coderay (1.1.0)
coffee-rails (4.0.1)
coffee-script (>= 2.2.0)
railties (>= 4.0.0, < 5.0)
coffee-script (2.2.0)
coffee-script-source
execjs
coffee-script-source (1.7.0)
cohort_me (0.0.3)
columnize (0.9.0)
crack (0.4.2)
safe_yaml (~> 1.0.0)
daemons (1.1.9)
database_cleaner (1.3.0)
debug_inspector (0.0.2)
deep_cloneable (2.2.2)
activerecord (>= 3.1.0, < 5.2.0)
devise (3.2.4)
bcrypt (~> 3.0)
orm_adapter (~> 0.1)
railties (>= 3.2.6, < 5)
thread_safe (~> 0.1)
warden (~> 1.2.3)
diff-lcs (1.3)
docile (1.1.3)
dotenv (0.7.0)
em-websocket (0.5.1)
eventmachine (>= 0.12.9)
http_parser.rb (~> 0.6.0)
email_validator (1.4.0)
activemodel
erubis (2.7.0)
eventmachine (1.0.3)
excon (0.45.4)
execjs (2.1.0)
factory_girl (4.4.0)
activesupport (>= 3.0.0)
factory_girl_rails (4.4.1)
factory_girl (~> 4.4.0)
railties (>= 3.0.0)
faker (1.2.0)
i18n (~> 0.5)
faraday (0.9.0)
multipart-post (>= 1.2, < 3)
fast_stack (0.1.0)
rake
rake-compiler
ffi (1.9.3)
fission (0.5.0)
CFPropertyList (~> 2.2)
flamegraph (0.1.0)
fast_stack
flutie (2.0.0)
fog (1.37.0)
fog-aliyun (>= 0.1.0)
fog-atmos
fog-aws (>= 0.6.0)
fog-brightbox (~> 0.4)
fog-core (~> 1.32)
fog-dynect (~> 0.0.2)
fog-ecloud (~> 0.1)
fog-google (<= 0.1.0)
fog-json
fog-local
fog-powerdns (>= 0.1.1)
fog-profitbricks
fog-radosgw (>= 0.0.2)
fog-riakcs
fog-sakuracloud (>= 0.0.4)
fog-serverlove
fog-softlayer
fog-storm_on_demand
fog-terremark
fog-vmfusion
fog-voxel
fog-vsphere (>= 0.4.0)
fog-xenserver
fog-xml (~> 0.1.1)
ipaddress (~> 0.5)
fog-aliyun (0.1.0)
fog-core (~> 1.27)
fog-json (~> 1.0)
ipaddress (~> 0.8)
xml-simple (~> 1.1)
fog-atmos (0.1.0)
fog-core
fog-xml
fog-aws (0.7.6)
fog-core (~> 1.27)
fog-json (~> 1.0)
fog-xml (~> 0.1)
ipaddress (~> 0.8)
fog-brightbox (0.10.1)
fog-core (~> 1.22)
fog-json
inflecto (~> 0.0.2)
fog-core (1.35.0)
builder
excon (~> 0.45)
formatador (~> 0.2)
fog-dynect (0.0.2)
fog-core
fog-json
fog-xml
fog-ecloud (0.3.0)
fog-core
fog-xml
fog-google (0.1.0)
fog-core
fog-json
fog-xml
fog-json (1.0.2)
fog-core (~> 1.0)
multi_json (~> 1.10)
fog-local (0.2.1)
fog-core (~> 1.27)
fog-powerdns (0.1.1)
fog-core (~> 1.27)
fog-json (~> 1.0)
fog-xml (~> 0.1)
fog-profitbricks (0.0.5)
fog-core
fog-xml
nokogiri
fog-radosgw (0.0.4)
fog-core (>= 1.21.0)
fog-json
fog-xml (>= 0.0.1)
fog-riakcs (0.1.0)
fog-core
fog-json
fog-xml
fog-sakuracloud (1.7.3)
fog-core
fog-json
fog-serverlove (0.1.2)
fog-core
fog-json
fog-softlayer (1.0.2)
fog-core
fog-json
fog-storm_on_demand (0.1.1)
fog-core
fog-json
fog-terremark (0.1.0)
fog-core
fog-xml
fog-vmfusion (0.1.0)
fission
fog-core
fog-voxel (0.1.0)
fog-core
fog-xml
fog-vsphere (0.4.0)
fog-core
rbvmomi (~> 1.8)
fog-xenserver (0.2.2)
fog-core
fog-xml
fog-xml (0.1.2)
fog-core
nokogiri (~> 1.5, >= 1.5.11)
font-awesome-rails (4.6.1.0)
railties (>= 3.2, < 5.1)
foreman (0.66.0)
dotenv (~> 0.7.0)
thor (~> 0.19.1)
formatador (0.2.5)
foundation-rails (5.4.5.0)
railties (>= 3.1.0)
sass (>= 3.2.0)
foundation-wysihtml5-rails (1.0.0)
railties (>= 3.0)
fullcalendar-rails (2.0.2.0)
geokit (1.10.0)
geokit-rails (2.2.0)
geokit (~> 1.5)
rails (>= 3.0)
gmaps4rails (2.1.2)
groupdate (2.5.3)
activesupport (>= 3)
guard (2.6.1)
formatador (>= 0.2.4)
listen (~> 2.7)
lumberjack (~> 1.0)
pry (>= 0.9.12)
thor (>= 0.18.1)
guard-livereload (2.2.0)
em-websocket (~> 0.5)
guard (~> 2.0)
multi_json (~> 1.8)
haml (4.0.5)
tilt
haml-rails (0.5.3)
actionpack (>= 4.0.1)
activesupport (>= 4.0.1)
haml (>= 3.1, < 5.0)
railties (>= 4.0.1)
hashie (3.2.0)
hike (1.2.3)
http_parser.rb (0.6.0)
httparty (0.13.1)
json (~> 1.8)
multi_xml (>= 0.5.2)
hubspot-ruby (0.2.1)
activesupport (>= 3.0.0)
httparty (>= 0.10.0)
i18n (0.7.0)
icalendar (2.2.0)
inflecto (0.0.2)
infusionsoft (1.1.8)
ipaddress (0.8.0)
jbuilder (2.2.6)
activesupport (>= 3.0.0, < 5)
multi_json (~> 1.2)
jmespath (1.3.1)
jquery-cookie-rails (1.3.1.1)
railties (>= 3.2.0, < 5.0)
jquery-rails (3.1.0)
railties (>= 3.0, < 5.0)
thor (>= 0.14, < 2.0)
json (1.8.2)
jwt (1.0.0)
kaminari (0.15.1)
actionpack (>= 3.0.0)
activesupport (>= 3.0.0)
kgio (2.9.2)
launchy (2.4.2)
addressable (~> 2.3)
listen (2.7.5)
celluloid (>= 0.15.2)
rb-fsevent (>= 0.9.3)
rb-inotify (>= 0.9)
lumberjack (1.0.6)
mail (2.6.3)
mime-types (>= 1.16, < 3)
mandrill-api (1.0.53)
excon (>= 0.16.0, < 1.0)
json (>= 1.7.7, < 2.0)
method_source (0.8.2)
mime-types (1.25.1)
mini_portile2 (2.0.0)
minitest (5.5.1)
momentjs-rails (2.8.3)
railties (>= 3.1)
multi_json (1.11.2)
multi_xml (0.5.5)
multipart-post (2.0.0)
net-scp (1.2.1)
net-ssh (>= 2.6.5)
net-ssh (3.0.1)
newrelic_rpm (3.14.2.312)
nokogiri (1.6.7.1)
mini_portile2 (~> 2.0.0.rc2)
oauth2 (1.0.0)
faraday (>= 0.8, < 0.10)
jwt (~> 1.0)
multi_json (~> 1.3)
multi_xml (~> 0.5)
rack (~> 1.2)
omniauth (1.2.2)
hashie (>= 1.2, < 4)
rack (~> 1.0)
omniauth-facebook (2.0.0)
omniauth-oauth2 (~> 1.2)
omniauth-oauth2 (1.2.0)
faraday (>= 0.8, < 0.10)
multi_json (~> 1.3)
oauth2 (~> 1.0)
omniauth (~> 1.2)
orm_adapter (0.5.0)
paper_trail (4.0.0.beta2)
activerecord (>= 3.0, < 6.0)
activesupport (>= 3.0, < 6.0)
pdf-core (0.7.0)
pg (0.17.1)
prawn (2.2.2)
pdf-core (~> 0.7.0)
ttfunk (~> 1.5)
prawn-table (0.2.2)
prawn (>= 1.3.0, < 3.0.0)
pry (0.9.12.6)
coderay (~> 1.0)
method_source (~> 0.8)
slop (~> 3.4)
pry-remote (0.1.8)
pry (~> 0.9)
slop (~> 3.0)
quiet_assets (1.0.2)
railties (>= 3.1, < 5.0)
rack (1.5.2)
rack-attack (5.0.1)
rack
rack-cors (0.4.1)
rack-test (0.6.3)
rack (>= 1.0)
rack-timeout (0.0.4)
rails (4.1.9)
actionmailer (= 4.1.9)
actionpack (= 4.1.9)
actionview (= 4.1.9)
activemodel (= 4.1.9)
activerecord (= 4.1.9)
activesupport (= 4.1.9)
bundler (>= 1.3.0, < 2.0)
railties (= 4.1.9)
sprockets-rails (~> 2.0)
rails-erd (1.1.0)
activerecord (>= 3.0)
activesupport (>= 3.0)
choice (~> 0.1.6)
ruby-graphviz (~> 1.0.4)
railties (4.1.9)
actionpack (= 4.1.9)
activesupport (= 4.1.9)
rake (>= 0.8.7)
thor (>= 0.18.1, < 2.0)
raindrops (0.13.0)
rake (10.4.2)
rake-compiler (0.9.5)
rake
rb-fsevent (0.9.4)
rb-inotify (0.9.4)
ffi (>= 0.5.0)
rbvmomi (1.8.2)
builder
nokogiri (>= 1.4.1)
trollop
recipient_interceptor (0.1.2)
mail
redcarpet (3.1.2)
render_csv (2.0.0)
rails (>= 3.0)
rest-client (1.6.7)
mime-types (>= 1.16)
ri_cal (0.8.8)
rmagick (2.13.4)
rspec-core (3.5.4)
rspec-support (~> 3.5.0)
rspec-expectations (3.5.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.5.0)
rspec-mocks (3.5.0)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.5.0)
rspec-rails (3.5.2)
actionpack (>= 3.0)
activesupport (>= 3.0)
railties (>= 3.0)
rspec-core (~> 3.5.0)
rspec-expectations (~> 3.5.0)
rspec-mocks (~> 3.5.0)
rspec-support (~> 3.5.0)
rspec-support (3.5.0)
ruby-graphviz (1.0.9)
safe_yaml (1.0.3)
sass (3.4.12)
sass-rails (5.0.1)
railties (>= 4.0.0, < 5.0)
sass (~> 3.1)
sprockets (>= 2.8, < 4.0)
sprockets-rails (>= 2.0, < 4.0)
tilt (~> 1.1)
seed_dump (3.2.1)
activerecord (~> 4)
activesupport (~> 4)
shoulda-matchers (2.6.1)
activesupport (>= 3.0.0)
simplecov (0.8.2)
docile (~> 1.1.0)
multi_json
simplecov-html (~> 0.8.0)
simplecov-html (0.8.0)
slack-notifier (2.1.0)
slop (3.5.0)
smarty_streets (0.0.6)
httparty (~> 0.11)
sprockets (2.12.3)
hike (~> 1.2)
multi_json (~> 1.0)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
sprockets-rails (2.2.4)
actionpack (>= 3.0)
activesupport (>= 3.0)
sprockets (>= 2.8, < 4.0)
sshkit (1.1.0)
net-scp
net-ssh
term-ansicolor
stripe (1.9.9)
mime-types (~> 1.25)
multi_json (>= 1.0.4, < 2)
rest-client (~> 1.4)
term-ansicolor (1.3.0)
tins (~> 1.0)
thin (1.6.2)
daemons (>= 1.0.9)
eventmachine (>= 1.0.0)
rack (>= 1.0.0)
thor (0.19.1)
thread_safe (0.3.4)
tilt (1.4.1)
timecop (0.7.1)
timers (1.1.0)
tins (1.5.1)
trollop (2.1.2)
ttfunk (1.5.0)
twilio-ruby (3.11.5)
builder (>= 2.1.2)
jwt (>= 0.1.2)
multi_json (>= 1.3.0)
tzinfo (1.2.2)
thread_safe (~> 0.1)
uglifier (2.5.0)
execjs (>= 0.3.0)
json (>= 1.8.0)
underscore-rails (1.8.3)
unicorn (4.8.3)
kgio (~> 2.6)
rack
raindrops (~> 0.7)
unicorn-rails (2.1.1)
rack
unicorn
warden (1.2.3)
rack (>= 1.0)
web-console (2.2.1)
activemodel (>= 4.0)
binding_of_caller (>= 0.7.2)
railties (>= 4.0)
sprockets-rails (>= 2.0, < 4.0)
webmock (1.18.0)
addressable (>= 2.3.6)
crack (>= 0.3.2)
whenever (0.9.4)
chronic (>= 0.6.3)
xml-simple (1.1.5)

PLATFORMS
ruby

DEPENDENCIES
aasm (~> 3.2.0)
active_model_serializers (~> 0.8.1)
annotate
aws-sdk
aws-sdk-rails
better_errors
binding_of_caller
bourbon
byebug
capistrano
capistrano-rails
carrierwave
chartkick
chronic
coffee-rails
cohort_me
database_cleaner
deep_cloneable (~> 2.2.2)
devise
email_validator
factory_girl_rails
faker
flamegraph
flutie
fog
font-awesome-rails
foreman
foundation-rails (= 5.4.5.0)
foundation-wysihtml5-rails
fullcalendar-rails
geokit
geokit-rails
gmaps4rails
groupdate
guard-livereload
haml-rails
httparty (~> 0.13.1)
hubspot-ruby
icalendar
infusionsoft
jbuilder
jquery-cookie-rails
jquery-rails
kaminari (~> 0.15.1)
launchy
mandrill-api
momentjs-rails
newrelic_rpm
omniauth-facebook
paper_trail (~> 4.0.0.beta)
pg
prawn
prawn-table
pry
pry-remote
quiet_assets
rack-attack
rack-cors
rack-timeout
rails (>= 4.0.0)
rails-erd
recipient_interceptor
redcarpet
render_csv
rest-client
ri_cal
rmagick
rspec-rails (~> 3.5)
sass-rails
seed_dump
shoulda-matchers
simplecov
slack-notifier
smarty_streets
stripe
thin
timecop
twilio-ruby (~> 3.11.5)
uglifier
underscore-rails
unicorn-rails
web-console (~> 2.0)
webmock
whenever

BUNDLED WITH
1.14.6


#2
  1. Don’t use server rendering and remove any “racer” gems
  2. Try https://github.com/cowboyd/therubyracer

#3

Remove racer gems from my whole project or from the ‘react_on_rails’ gem only? Im not sure what gems would be considered ‘racer gems’?


#4

Just your gemfile for your project